<?php
/**
 * Created by PhpStorm.
 * User: Wilmer Ramones
 * Date: 01/03/17
 * Time: 07:52 AM
 */

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TipoDocumentos
 *
 * @ORM\Table(name="tipo_documentos", uniqueConstraints={@ORM\UniqueConstraint(name="uq_nombre_documento", columns={"nombre"})})
 * @ORM\Entity
 */
class TipoDocumentos
{
    /**
     * @var string
     *
     * @ORM\Column(name="nombre", type="string", length=255, nullable=false, options={"comment" = "Nombre del tipo de documento"})
     */
    private $nombre;


    /**
     * @var string
     *
     * @ORM\Column(name="identificador", type="string", length=255, nullable=false, options={"comment" = "Nombre para identificar la ruta del documento en la vista"})
     */
    private $identificador;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer", nullable=false, options={"comment" = "Identificador del tipo de area"})
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     * @ORM\SequenceGenerator(sequenceName="tipo_documento_id_seq", allocationSize=1, initialValue=1)
     */
    private $id;



    /**
     * Set nombre
     *
     * @param string $nombre
     * @return TipoArea
     */
    public function setNombre($nombre)
    {
        $this->nombre = $nombre;

        return $this;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function __toString()
    {
        return $this->nombre;
    }



    /**
     * Set identificador
     *
     * @param string $identificador
     * @return TipoDocumentos
     */
    public function setIdentificador($identificador)
    {
        $this->identificador = $identificador;

        return $this;
    }

    /**
     * Get identificador
     *
     * @return string 
     */
    public function getIdentificador()
    {
        return $this->identificador;
    }
}
